Subject: Re: bug#43363: 27.1; Wrapped comment line that contains cyrillic text is displayed in different colors

From: Alan Third <[email-masked]>
Date: Mon, 5 Oct 2020 00:08:10 +0100

On Tue, Sep 15, 2020 at 05:46:03PM +0300, Eli Zaretskii wrote:
> > From: Драгољуб Шишовић <[email-masked]>
> > Date: Tue, 15 Sep 2020 14:37:18 +0200
> > Cc: [email-masked]
> > 
> > I haven't seen this problem with any other characters, only when commenting with Cyrillic letters and with
> > word wrapping.
> > 
> > Not sure if this can help in tracking down the cause of the problem, but I've tested emacs 27.1 on a different
> > computer and I've managed to replicate the issue. However, it had a clean Manjaro install (which is Arch
> > based distro, and I assume they use pretty much the same libraries). Also, I've tried a number of other
> > distros in VirtualBox (Fedora, Kubuntu...) and I've managed to replicate the exact problem on each and single
> > one of those virtual machines.
> > 
> > When I downgraded to emacs 26, to test the issue, I was using the same system libraries like with emacs
> > 27. And, as I understand, the only difference is with cairo, harfbuzz (emacs 27) and libmagick6 (emacs 26).
> > Also, I have experimented with different GTK settings, with font antialiasing, hinting, sub-pixel geometry, but
> > nothing helps. The issue manifests even without X11 started, in plain command line mode.
> 
> Well, someone who can reproduce the issue will have to debug it.  I
> cannot reproduce this, so I cannot debug it.

I can reproduce it only with frame-resize-pixelwise set to t and the
frame not being an exact number of characters wide.

But I don't see how that situation could happen in a Linux terminal!
-- 
Alan Third